gp_Pln TopoDS_Shape

hello, now i get a plane, hoa can i translate the plane to a TopoDS_Shape?Thank you
gp_Pln a=...;
TopoDS_Shape aa=...;

Rob Bachrach's picture

Try:
TopoDS_Shape aa = BRepBuilderAPI_MakeFace(a);

Note that aa could also be a TopoDS_Face.

thanktj's picture

thanks very much, Rob.
Do you know Add(const TopoDS_Shape& S,Bnd_Box& B) can get boundary of the plane a?

Rob Bachrach's picture

I have never tried to get the bounds of a plane. However, I do not believe it will work since a plane is not a 3D object. I tried creating a plane in the test harness and calling "boundingstr" and received no result. However, I do get a result from calling "boundingstr" on a 3D box.

I think you will need solid geometry to get a bounding box.